AnyEvent::XMPP::IM::Presence(3)

NAME
AnyEvent::XMPP::IM::Presence - XMPP presence

SYNOPSIS

DESCRIPTION
This module represents an XMPP presence. It stores the full JID of the contact, the show value, status value and priority.

AnyEvent::XMPP::IM::Presence is derived from AnyEvent::XMPP::IM::Delayed, use the interface described there to find out whether this presence was delayed.

METHODS

jid Returns the full JID of this presence.

priority
    Returns the priority of this presence.

status_all_lang
    Returns all language tags of available status descriptions. See also status.

show
    Returns the show value of this presence, which is one of:

       'away', 'chat', 'dnd', 'xa'

    or the empty string if the presence is 'available'.

status ([$lang])
    Returns the presence description. $lang is optional can should be one of the tags returned by "status_all_lang".

make_message (%args)
    Returns a AnyEvent::XMPP::IM::Message object with the to field set to this presence full JID.

    %args are further arguments to the constructor of the message.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.